# $Revision: 1.47 $, $Date: 2008-01-31 12:17:05 $
%include	/usr/lib/rpm/macros.php
%define		_class		Mail
%define		_status		stable
%define		_pearname	%{_class}
Summary:	%{_pearname} - Class that provides multiple interfaces for sending emails
Summary(pl.UTF-8):	%{_pearname} - Klasa dająca interfejsy do wysyłania poczty
Name:		php-pear-%{_pearname}
Version:	1.1.14
Release:	4
Epoch:		0
License:	PHP/BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	e50da58b6b787b3903ce4d07dc791bb2
Patch0:		%{name}-strict.patch
URL:		http://pear.php.net/package/Mail/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(Net/SMTP.*)'

%description
The PEAR's Mail:: interface, defines the interface for implementing
mailers under the PEAR hierarchy, and provides supporting functions
useful in multiple mailer backends. Currently supported are native PHP
mail() function, sendmail and SMTP. This package also provides a RFC
822 Email address list validation utility class.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa Mail:: definiuje w hierarchii PEAR interfejs do implementowania
wysyłania poczty oraz udostępnia funkcje pomocnicze przydatne w wielu
backendach do obsługi poczty. Aktualnie obsługiwane sposoby to natywna
dla PHP funkcja mail(), sendmail oraz SMTP. Ten pakiet zawiera także
klasę sprawdzającą zgodność list adresów z RFC 822.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}
%{php_pear_dir}/*.php
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Mail.spec,v $
Revision 1.47  2008-01-31 12:17:05  glen
- rel 4

Revision 1.46  2007-07-03 21:48:40  glen
- strict mode patch; rel 3

Revision 1.45  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.44  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.43  2006/12/19 22:59:10  arekm
- rel 2

Revision 1.42  2006/11/02 12:56:17  glen
- 1.1.14

Revision 1.41  2006/09/15 07:26:20  adamg
- updated to 1.1.13

Revision 1.40  2006/09/13 07:29:35  adamg
- updated to 1.1.11

Revision 1.39  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.38  2006/04/30 06:26:34  adamg
- updated to 1.1.10

Revision 1.37  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.36  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.35  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.34  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.33  2005/11/20 16:26:25  glen
- rel 3

Revision 1.32  2005/10/27 18:48:57  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.31  2005/10/05 18:31:31  glen
- rel 2

Revision 1.30  2005/09/28 19:11:23  glen
- typo

Revision 1.29  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.28  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.27  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.26  2005/09/19 23:35:29  glen
- 1.1.9

Revision 1.25  2005/09/19 21:43:40  glen
- integer BR

Revision 1.24  2005/09/19 17:26:46  glen
- use new pear packaging system

Revision 1.23  2005/08/24 17:07:02  adamg
- updated to 1.1.8

Revision 1.22  2005/08/22 04:29:44  adamg
- updated to 1.1.7

Revision 1.21  2004/12/03 22:22:53  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.20  2004/09/10 21:07:08  adamg
- updated to 1.1.4

Revision 1.19  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.18  2004/04/08 21:08:48  adamg
- updated to 1.1.3

Revision 1.17  2003/10/07 20:55:15  adamg
- do not use macros in URL

Revision 1.16  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.15  2003/07/03 22:50:20  adamg
- updated to 1.1.1

Revision 1.14  2003/06/21 07:04:54  adamg
- updated to 1.1.0

Revision 1.13  2003/05/28 08:58:40  adamg
- massive attack: added source0-md5

Revision 1.12  2003/05/25 06:25:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/01/07 18:10:53  blues
- release 2 - added status info, prepared for php-4.3.0

Revision 1.10  2002/12/12 19:22:39  blues
- 1.0.2 - minor fixes

Revision 1.9  2002/10/14 23:45:18  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.8  2002/10/03 12:02:08  blues
- fix in macros

Revision 1.7  2002/07/27 15:33:23  blues
- 1.0.1 (license change) - STBR

Revision 1.6  2002/07/12 23:48:38  blues
- release 3 (rebuild with new rpm)

Revision 1.5  2002/07/04 22:34:49  blues
- release 2

Revision 1.4  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.3  2002/06/30 12:24:58  qboosh
- pl description

Revision 1.2  2002/06/29 14:37:37  blues
- dir removed

Revision 1.1  2002/06/25 12:42:37  blues
- initial
